<page-header>
    <nz-card>
        <div nz-card-grid [ngStyle]="gridStyle" *ngFor="let device of devices">
            <app-card-with-cover [card]="device" (click)="showDeviceData(device.api)">
            </app-card-with-cover>
        </div>
    </nz-card>
</page-header>